/*

 Copyright (c) [2023] [pcm]
 [pcm-coordinator] is licensed under Mulan PSL v2.
 You can use this software according to the terms and conditions of the Mulan PSL v2.
 You may obtain a copy of Mulan PSL v2 at:
          http://license.coscl.org.cn/MulanPSL2
 THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 EITHER EXPaRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 See the Mulan PSL v2 for more details.

*/

package tracker

import (
	"testing"
	"time"
)

func TestGetNamedMetrics(t *testing.T) {
	//client, _ := NewPrometheus("http://10.101.15.3:32585")
	//result := client.GetNamedMetrics([]string{"pod_cpu_resource_limits"}, time.Now(), PodOption{
	//
	//	PodName:       "prometheus-k8s-0",
	//	NamespaceName: "monitoring-system",
	//})
	//println("zzz", result[0].MetricValues[0].Sample.Value())

	client, _ := NewPrometheus("http://10.105.20.4:30766")
	result := client.GetNamedMetricsByTime([]string{"pod_cpu_usage", "pod_memory_usage_wo_cache"}, "1700521446", "1700551446", 10*time.Minute, ControllerOption{
		PodsName: "sealos-task-112703-65c776b4b5-q4jgf",
	})
	println("zzz", result)
}
